### Function

# Secret password_lookup_finish

#### Declaration [src]

    gchar*
    secret_password_lookup_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation to lookup a password in the secret service.

#### Parameters

`result`

  Type: `GAsyncResult`

  The asynchronous result passed to the callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A new password string which should be freed with `secret_password_free()` or may be freed with `g_free()` when done.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.